/**************************/
/* GENERAL FORMATTING */
/**************************/

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  /* 10px / 16px = 0.625 = 62.5% */
  /* Percentage of user's browser font-size setting */
  font-size: 62.5%;
  overflow-x: hidden;
}

body {
  font-family: "Quicksand", sans-serif;
  line-height: 1;
  font-weight: 400;
  background-color: #ccc5bc;
  overflow-x: hidden;
}

p {
  font-family: "Quicksand", sans-serif;
  line-height: 1.4;
  font-weight: 400;
  font-size: 2.4rem;
  color: #fff;
}

.header-primary,
.header-secondary {
  color: #2f4e62;
  font-size: 3rem;
  margin-bottom: 1.6rem;
}


/**************************/
/* GENERAL REUSABLE COMPONENTS */
/**************************/
.container-hero {
  margin: 0 auto;
  width: 90%;
  max-width: 114rem;
  margin-bottom: 4.8rem;
  margin-top: 4.8rem;
}

.container {
  margin: 0 auto;
  width: 80%;
  max-width: 100rem;
  margin-bottom: 4.8rem;
  margin-top: 4.8rem;
}

/**************************/
/* HERO SECTION */
/**************************/
.hero-logo-img {
  max-width: 100%;
  height: auto;
}
.hero-img {
  max-width: 100%;
  height: auto;
}

/**************************/
/* Impressum */
/**************************/

.container-impressum {
  position: relative;
}

.text-impressum p {
  font-size: 1.8rem;
  line-height: 1.2;
  color: #000;
}

.impressum-grid {
  display: grid;
  grid-template-columns: auto auto 1fr;
  align-items: start;
  column-gap: 3rem;
}

/* Impressum Slider */

.btn-mobile-nav {
  border: none;
  background: none;
  cursor: pointer;
  display: block;
  z-index: 1000;
  /* position: relative; */

  /* padding-right: 2.4rem; */
  /* padding-top: 2rem; */
}

.icon-mobile-nav {
  height: 4rem;
  width: 4rem;
  color: #494949;

  display: block;
}

.text-impressum {
  background-color: #efefeff7;
  position: absolute;
  top: 120%;
  left: 0;
  width: 100%;
  padding: 2.4rem;
  /* border-radius: 20px; */
  transform: translateX(100%);

  /* display: flex;
  align-items: center;
  justify-content: center; */
  transition: all 0.4s ease-in;

  /* flex-direction: column;
  gap: 3.2rem; */

  border-radius: 0 0 10px 10px;

  /* display: none; */
  /* 1) Hide it visuall< */
  opacity: 0;

  /* 2) Make it unaccessible to mouse and keyboard */
  pointer-events: none;

  /* 3) Hide it from screen readers */
  visibility: hidden;
  z-index: 1000;
}

.impressum-open .text-impressum {
  opacity: 1;
  pointer-events: auto;
  visibility: visible;
  transform: translateX(0);
}

.icon-mobile-nav[name="close-outline"] {
  display: none;
}

.impressum-open .icon-mobile-nav[name="menu-outline"] {
  display: none;
}
.impressum-open .icon-mobile-nav[name="close-outline"] {
  display: block;
}

.text-credits {
	font-size: 1.2rem;
	line-height: 1.2;
	color: #fff;
	
}

/**************************/
/* BELOW 1344px (Smaller desktops) */
/**************************/

@media (max-width: 100em) {
  /**************************/
  /* nach ribbon zu Flagge */
  /**************************/
}
@media (max-width: 90em) {
}

@media (max-width: 81em) {
}

/**************************/
/* BELOW 1200px (Landscape Tablets) */
/**************************/

@media (max-width: 76em) {
  html {
    /* 9px / 16px  */
    font-size: 56.25%;
  }
}

/**************************/
/* BELOW 944px (Tablets) */
/**************************/

@media (max-width: 59em) {
  html {
    /* 8px / 16px = 0.5 = 50% */
    font-size: 50%;
  }
}

/**************************/
/* BELOW 830px (Tablets) */
/**************************/

@media (max-width: 52em) {
}

/**************************/
/* BELOW 787px (Smaller tablets) */
/**************************/

@media (max-width: 49em) {
}

/**************************/
/* BELOW 600px (smaller tablets) */
/**************************/
@media (max-width: 38em) {
  html {
    /* 8px / 16px = 0.5 = 50% */
  }
  

}

/**************************/
/* BELOW 544px (Phones) */
/**************************/

@media (max-width: 34em) {
}
